package cn.zhentao.controller;

import cn.zhentao.dto.OrderRequest;
import jakarta.validation.Valid;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.Map;

@RestController
@RequestMapping("/api/orders")
public class OrderController {

    @PostMapping("/create")
    public ResponseEntity<Map<String, Object>> createOrder(
            @RequestHeader("reqId") String reqId,
            @Valid @RequestBody OrderRequest request) {
        Map<String, Object> response = new HashMap<>();
        response.put("reqId", reqId);
        response.put("success", true);
        response.put("message", "订单创建成功");
        return ResponseEntity.ok(response);
    }

    @GetMapping("/create")
    public ResponseEntity<Map<String, Object>> createOrderForm(
            @RequestHeader("reqId") String reqId,
            @Valid @ModelAttribute OrderRequest request) {
        Map<String, Object> response = new HashMap<>();
        response.put("reqId", reqId);
        response.put("success", true);
        response.put("message", "订单创建成功");
        return ResponseEntity.ok(response);
    }
} 